Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: Co z PDF-ami?  (Przeczytany 752 razy)

Offline Piejanto

  • Jr. Member
  • **
  • Wiadomości: 81
Co z PDF-ami?
« dnia: Marzec 29, 2017, 02:19:54 pm »
Ostatnio zrobiłem rozliczenie roczne na MAC-u córki i przesłałem pobrane PDF-y na swój komputer z Linuxem Antergosem. Gdy chciałem sprawdzić poprawność dokumentu, okazało się, że Antergos mi tego nie otwiera. Dostałem informację :
" Please wait...
If this message is not eventually replaced by the proper contents of the document, your PDF
viewer may not be able to display this type of document.
You can upgrade to the latest version of Adobe Reader for Windows®, Mac, or Linux® by
visiting http://www.adobe.com/go/reader_download.
For more assistance with Adobe Reader visit http://www.adobe.com/go/acrreader.
Windows is either a registered trademark or a trademark of Microsoft Corporation in the United States and/or other countries. Mac is a trademark
of Apple Inc., registered in the United States and other countries. Linux is the registered trademark of Linus Torvalds in the U.S. and other
countries."
Wszedłem na stronę Adobe Reader'a ale nie ma tam wersji dla Linuxa.
Czy jest jakieś rozwiązanie problemu?

Offline Piejanto

  • Jr. Member
  • **
  • Wiadomości: 81
Odp: Co z PDF-ami?
« Odpowiedź #1 dnia: Marzec 29, 2017, 02:40:39 pm »
PO zainstalowaniu programu "Okular" prócz poprzedniej informacji pojawiła się na polu programu informacja następująca:
"This document has XFA forms, which are currently unsupported."

Co robić?

Offline lesio

  • Sr. Member
  • ****
  • Wiadomości: 433
Odp: Co z PDF-ami?
« Odpowiedź #2 dnia: Marzec 29, 2017, 05:29:36 pm »
Rozumiem, że są to pdf-y edytowalne, więc jest potrzebny "pełny" Acrobat Reader. Jest on w repozytorium AUR, sam go już kiedyś zainstalowałem:
aur/acroread 9.5.5-6 [installed] (832) (5,97)
Adobe Reader is a PDF file viewer

Offline Piejanto

  • Jr. Member
  • **
  • Wiadomości: 81
Odp: Co z PDF-ami?
« Odpowiedź #3 dnia: Marzec 30, 2017, 01:54:19 pm »
OK. Dzięki spróbuję.

Offline Piejanto

  • Jr. Member
  • **
  • Wiadomości: 81
Odp: Co z PDF-ami?
« Odpowiedź #4 dnia: Kwiecień 07, 2017, 02:51:51 pm »
Ściągnąłem coś takiego:

AdbeRdr9.5.5-1_i486linux_enu.bin

Czy to jest dobra wersja do instalacji?



Offline lesio

  • Sr. Member
  • ****
  • Wiadomości: 433
Odp: Co z PDF-ami?
« Odpowiedź #5 dnia: Kwiecień 07, 2017, 03:02:36 pm »
Nie chodzi o to, by ściągnąć plik binarny, tylko by zainstalować z repozytorium AUR.
najpierw sprawdzamy, czy pakiet istnieje:
yaourt -Q acroread
i instalujemy:
yaourt -S acroread


Offline Piejanto

  • Jr. Member
  • **
  • Wiadomości: 81
Odp: Co z PDF-ami?
« Odpowiedź #6 dnia: Kwiecień 07, 2017, 03:18:50 pm »
Pakiet w AUR istnieje i właśnie stamtąd go ściągnąłem
acroread.desktop
http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i486linux_enu.bin

Wpisałem na konsoli "yaourt -S acroread" i chyba się zainstalowało.
Powiedziało, że nie może się zainstalować  gdy "#" więc powtórzyłem operację jako "$".
Ale nie widać.
« Ostatnia zmiana: Kwiecień 07, 2017, 03:53:30 pm wysłana przez Piejanto »